Method: soarNetworks.export

Full name: projects.locations.instances.soarNetworks.export

Exports all SoarNetworks to a CSV file. Use this method to download a portable representation of all internal network subnets for auditing or backup purposes.

HTTP request


GET https://chronicle.africa-south1.rep.googleapis.com/v1beta/{parent}/soarNetworks:export

Path parameters

Parameters
parent

string

Required. The instance from which to export networks. Format: projects/{project}/locations/{location}/instances/{instance}/soarNetworks

Request body

The request body must be empty.

Response body

The SoarNetworks to export.

If successful, the response body contains data with the following structure:

JSON representation
{
  "fileName": string,
  "contentType": string,
  "content": string
}
Fields
fileName

string

Required. The filename to export to.

contentType

string

Required. The content type of the file.

content

string

Required. The CSV file content.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.soarNetworks.get

For more information, see the IAM documentation.